Get document

Get document. See the OpenAPI-defined parameters, request body, and responses below.

GET /Document/{id}

Get document. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna os detalhes de um documento especificado pelo identificador.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Document/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar o documentoapplication/json · DocumentCreateResponseDto

Example response (200):

{
  "id": 0,
  "title": "string",
  "description": "string",
  "extractedText": "string",
  "analysisText": "string",
  "fileUrl": "string",
  "documentStatusId": 0,
  "documentType": 0,
  "createdAt": "2026-09-22T18:00:00Z",
  "analizedAt": "2026-09-22T18:00:00Z",
  "documentChecklistId": 0,
  "private": true
}

Data models

DocumentCreateResponseDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
titlestringNo—nullable
descriptionstringNo—nullable
extractedTextstringNo—nullable
analysisTextstringNo—nullable
fileUrlstringNo—nullable
documentStatusIdinteger · int32No——
documentTypeDocumentTypeNo——
createdAtstring · date-timeNo—nullable
analizedAtstring · date-timeNo—nullable
documentChecklistIdinteger · int32No——
privatebooleanNo——
DocumentType

0 = Image; 1 = Word; 2 = PDF; 3 = Text

integer